/* ----- Normal textbox ------ */
input[type="text"].nor_txt, input[type="password"].nor_txt, textarea.nor_txt {
    padding: 4px 4px 4px 4px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
    resize:none;
}

input[type="text"].nor_txt:focus,     input[type="text"].nor_txt.focus, 
input[type="password"].nor_txt:focus, input[type="password"].nor_txt.focus, 
textarea.nor_txt:focus, textarea.nor_txt.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Textbox span ----- */
.textbox-span {
    width:190px; height:25px; 
    display:block;
}

/* ----- image click ----- */
.img-click {
    height:25px; width:25px; 
    vertical-align:bottom;
    cursor:pointer;
}

/* ----- Textbox with image (Login) ----- */
.textbox-user {
    background: white url(../Images/asp_login_icon_username.png) left no-repeat;
}

.textbox-pass {
    background: white url(../Images/asp_login_icon_locker.png) left no-repeat;
}

input[type="text"].l_img_txt, input[type="password"].l_img_txt {
    padding: 10px 10px 10px 48px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
}

input[type="text"].l_img_txt:focus,     input[type="text"].l_img_txt.focus,
input[type="password"].l_img_txt:focus, input[type="password"].l_img_txt.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Dropdown list ----- */
select.nor_ddl {
    padding: 3px 3px 3px 3px;
    border: solid 1px #dcdcdc;
    transition: box-shadow 0.3s, border 0.3s;
}

select.nor_ddl option {
    height:50px;
}

select.nor_ddl:focus, select.nor_ddl.focus {
  border: solid 1px grey;
  box-shadow: 0 0 5px 1px lightgrey;
}

/* ----- Label ----- */
label {
    padding: 3px 3px 3px 3px;
}

/* ----- Grid View ----- */

.nor_grid {
    width:100%;     height:100%;
    text-align:center;
    margin: 0 auto;
    box-shadow: 0 99px 120px -75px lightgreen inset;
}

.nor_grid th {
    padding:10px 10px 10px 10px;
    border-top:1px solid gray;
    border-bottom:1px solid gray;
    /* Same as ".nor_grid th a" */
    color:black;
    font-size:14px;
    font-weight:lighter;
    text-decoration:none;
}

.nor_grid th a {
    color:black;
    font-size:14px;
    font-weight:lighter;
    text-decoration:none;
}

.nor_grid td {
    color:black;
    font-size:12px;
    font-weight:lighter;
    padding:8px 8px 8px 8px;
    cursor: pointer;
    line-height:14px;
}

.gvHighlight {
    cursor: pointer;
    background-color: #DDA0DD;
}

.gvHighlight {
    cursor: pointer;
    background-color: none;
}

.lbl {
    padding:10px;
}

.link {
    text-decoration:none;
    cursor:pointer;
	color:darkblue;
}

/* Grid - style 01 */

.m_grid_hiddencol { 
	display: none;
}

.m_grid_amount { 
	text-align:right;
}

.m_grid
{
    width:100%;     height:100%;
    text-align:center;
    margin: 0 auto;
}

.mhd_grid th
{
    text-transform : uppercase;     
    font-weight    : lighter;
    background     : #4d4d4d;
    font-size      : 11px;
    padding        : 10px 10px 10px 10px; 
    border         : 1px solid #0d0d0d;
    color          : white;
    height         : 12px;
    /*position		:absolute;*/
}
.mhd_grid a
{
    text-decoration: none;
    text-transform : uppercase; 
	color          : white;
}
.mpg_grid td {
    padding          : 5px 5px 5px 5px; 
    background-color : #D9D9D9;
    border           : 1px solid #999;
    font-weight      : lighter;
    font-size        : 12px;
}
.mpg_grid a
{
    padding          : 5px 5px 5px 5px; 
    text-decoration  : none;
    text-transform   : uppercase; 
	color            : blue;
}
.mpg_grid td span
{
    padding     : 5px 5px 5px 5px; 
    font-weight : bold;
    font-size   : 12px;
}
.mrw_grid td, .mar_grid td
{
    font-weight : lighter;
    font-size   : 12px;
    /*padding     : 8px 10px 8px 10px;*/ 
    padding     : 2px 2px 2px 2px; 
    border      : 1px solid #999;
    cursor      : default;
    color       : black;
    line-height : 14px;
    vertical-align : top;
}
.mwt_grid td
{
    font-weight : lighter;
    font-size   : 12px;
    padding     : 2px 2px 2px 2px; 
    border      : none;
    cursor      : default;
    color       : black;
    line-height : 14px;
    vertical-align : top;
}
.mrw_grid td, .mwt_grid td
{
    background-color : #FAFAFF;
}

.mrw_grid td.txtPadding, .mwt_grid td.txtPadding {
    margin:0px;
    padding:3px;
}

.mrw_grid td.txtPadding > input[type=TEXT], .mwt_grid td.txtPadding > input[type=TEXT] {
    width:calc(100% - 10px);
}

.mar_grid td
{
    background-color: #F5F5FF;
}
.m_grid_highlight {
    background-color: #CCCCFF !important;
}
.m_gind_padding_0px5px {
    padding:0px 5px !important;
    vertical-align:middle;
}
.mfd_grid td {
    text-transform : uppercase;     
    font-weight    : lighter;
    background     : #4d4d4d;
    font-size      : 12px;
    padding        : 10px 10px 10px 10px; 
    border         : 1px solid #4d4d4d;
    color          : white;
    height         : 12px;
}